Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.pointcut
Class DeclareDef

    java.lang.Object
      org.jboss.aop.pointcut.DeclareDef

public class DeclareDef
extends Object

Version:
  $Revision: 1.2 $
Author:
  Kabir Khan

Constructor Summary
`DeclareDef(String name, String expr, boolean warning, String msg)`

Method Summary
`ASTStart` | `getAst()`
`String` | `getExpr()`
`String` | `getMsg()`
`String` | `getName()`
`boolean` | `getWarning()`
`boolean` | `isPointcut()`
`boolean` | `matches(Advisor advisor, Class clazz)`
`boolean` | `matches(Advisor advisor, javassist.CtClass clazz)`
`boolean` | `matchesCall(Advisor callingAdvisor, javassist.expr.MethodCall methodCall)`
`boolean` | `matchesCall(Advisor callingAdvisor, javassist.expr.NewExpr methodCall)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeclareDef

    public DeclareDef(String name,
                      String expr,
                      boolean warning,
                      String msg)
               throws ParseException

Method Detail

### getAst

    public ASTStart getAst()

### getExpr

    public String getExpr()

### getName

    public String getName()

### getWarning

    public boolean getWarning()

### getMsg

    public String getMsg()

### isPointcut

    public boolean isPointcut()

  Returns:
    true if a pointcut expression, false if a type expression

### matches

    public boolean matches(Advisor advisor,
                           javassist.CtClass clazz)

### matches

    public boolean matches(Advisor advisor,
                           Class clazz)

### matchesCall

    public boolean matchesCall(Advisor callingAdvisor,
                               javassist.expr.MethodCall methodCall)
                        throws javassist.NotFoundException

  Throws:
    `javassist.NotFoundException`

### matchesCall

    public boolean matchesCall(Advisor callingAdvisor,
                               javassist.expr.NewExpr methodCall)
                        throws javassist.NotFoundException

  Throws:
    `javassist.NotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.